<%@ include file="list-approvals-header.jsp" %>
<body>
    <div class="box">
        <div class="box_header">
            <img src="<%= request.getContextPath()%>/uApprove/federation-logo.png" alt="" class="federation_logo" >
            <img src="<%= request.getContextPath()%>/uApprove/logo.png" alt="" class="organization_logo">
        </div>

        <p style="margin-top: 70px;">
            <fmt:message key="rvk_txt"/><br/>
        </p>
        <ul>
            <li><fmt:message key="rvk_desc1"/></li>
            <li><fmt:message key="rvk_desc2"/></li>
        </ul>

        <div id="attributeRelease">
            <table>
                <colgroup>
                    <col class="header">
                    <col class="value">
                </colgroup>
                <thead>
                   <tr>
                      <th colspan="2">
                          <fmt:message key="rvk_title"/>
                      </th>
                   </tr>
                </thead>
                <tbody>
                <c:choose>
                <c:when test="${fn:length(revocation_list) == 0}">
                    <tr bgcolor="white">
                        <td class="attr-name-mandate"><fmt:message key="txt_entity_id"/></td>
                        <td class="attr-value"><fmt:message key="txt_global"/></td>
                    </tr>
                </c:when>
                <c:otherwise>
                    <c:forEach var="relyingPartyId" items="${revocation_list}" varStatus="status">
                        <tr bgcolor="white">
                        <c:if test="${status.index == 0}">
                            <td class="attr-name-mandate" rowspan="${fn:length(revocation_list)}"><fmt:message key="txt_entity_id"/></td>
                        </c:if>
                            <td class="attr-value">${relyingPartyId}</td>
                        </tr>
                    </c:forEach>
                </c:otherwise>
                </c:choose>
                </tbody>
            </table>
        </div>
        <div class="form-fields" align="right">
            <form method="post" name="revokepage">
                <input type="submit" name="<%= PageControl.REVOKE_CANCEL %>" value="<fmt:message key="rvk_cancel"/>">
                <input type="submit" name="<%= PageControl.REVOKE_CONFIRM %>" value="<fmt:message key="rvk_confirm"/>">
            </form>
        </div>
    </div>

</body>
<%@ include file="footer.jsp" %>
